## org.apache.xalan.transformer
Class XalanTransformState

    java.lang.Object
      |
      +--org.apache.xalan.transformer.XalanTransformState

public class XalanTransformState
extends java.lang.Object
implements TransformState

Before the serializer merge, the TransformState interface was implemented by ResultTreeHandler.

Constructor Summary
`XalanTransformState()`

Method Summary
`NodeIterator` `getContextNodeList()`
`ElemTemplateElement` `getCurrentElement()`
`Node` `getCurrentNode()`
`ElemTemplate` `getCurrentTemplate()`
`Node` `getMatchedNode()`
`ElemTemplate` `getMatchedTemplate()`
`Transformer` `getTransformer()`
`void` `resetState(Transformer transformer)`
`void` `setCurrentNode(Node n)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XalanTransformState

    public XalanTransformState()

Method Detail

### setCurrentNode

    public void setCurrentNode(Node n)

  See Also:
    `TransformStateSetter.setCurrentNode(Node)`

### resetState

    public void resetState(Transformer transformer)

  See Also:
    `TransformStateSetter.resetState(Transformer)`

### getCurrentElement

    public ElemTemplateElement getCurrentElement()

  Specified by:
    getCurrentElement in interface TransformState
  See Also:
    `TransformState.getCurrentElement()`

### getCurrentNode

    public Node getCurrentNode()

  Specified by:
    getCurrentNode in interface TransformState
  See Also:
    `TransformState.getCurrentNode()`

### getCurrentTemplate

    public ElemTemplate getCurrentTemplate()

  Specified by:
    getCurrentTemplate in interface TransformState
  See Also:
    `TransformState.getCurrentTemplate()`

### getMatchedTemplate

    public ElemTemplate getMatchedTemplate()

  Specified by:
    getMatchedTemplate in interface TransformState
  See Also:
    `TransformState.getMatchedTemplate()`

### getMatchedNode

    public Node getMatchedNode()

  Specified by:
    getMatchedNode in interface TransformState
  See Also:
    `TransformState.getMatchedNode()`

### getContextNodeList

    public NodeIterator getContextNodeList()

  Specified by:
    getContextNodeList in interface TransformState
  See Also:
    `TransformState.getContextNodeList()`

### getTransformer

    public Transformer getTransformer()

  Specified by:
    getTransformer in interface TransformState
  See Also:
    `TransformState.getTransformer()`

Copyright © 2006 Apache XML Project. All Rights Reserved.